=== debian/changelog ===
valkey (8.1.4+dfsg1-0ubuntu1) resolute; urgency=medium

  * New upstream version 8.1.4 (LP: #2127122)
    - Security fixes:
      + CVE-2025-49844: Lua script may lead to remote code execution.
      + CVE-2025-46817: Lua script may lead to int overflow and potential RCE.
      + CVE-2025-46818: Lua script can be executed in context of another user.
      + CVE-2025-46819: LUA out-of-bound read
      + CVE-2025-49112: Integer underflow in setDeferredReply networking.c.
    - Bug fixes:
      + Fix accounting for dual channel RDB bytes in replication stats.
      + Ensure empty error tables in scripts don't crash Valkey.
      + Fix use-after-free when active expiration triggers hashtable to shrink.
      + Fix memory usage to consider embedded keys.
      + Fix leak when shrinking a hashtable without entries.
      + Fix large allocations crashing Valkey during active defrag.
      + Prevent bad memory access when NOTOUCH client gets unblocked.
      + Converge shard-id persisted in nodes.conf to primary's shard id.
      + Fix client tracking memory overhead calculation.
      + Fix pre-size hashtables per slot when reading RDB files.
      + Don't use AVX2 instructions if the CPU don't support it.
      + Defrag if slab 1/8 full to fix defrag didn't stop issue.
  * Remove patches fixed upstream:
    - d/p/CVE-2025-49112.patch
    - d/p/fix-8.1.x-multi-unit-test.patch

 -- Lena Voytek <lena.voytek@canonical.com>  Sun, 12 Oct 2025 15:56:43 -0400

valkey (8.1.3+dfsg1-0ubuntu2) questing; urgency=medium

  * Remove valkey-redis-compat package (LP: #2118952)
    - d/control: Remove valkey-redis-compat entry.
    - Remove valkey-redis-compat package files:
      + d/valkey-redis-compat.postinst
      + d/valkey-redis-compat.links
      + d/valkey-redis-compat.NEWS
    - d/README.Debian: Remove migration readme entry.
    - d/bin/generate-systemd-service-files: Remove condition that blocks
      service start when REDIS_MIGRATION file exists.
    - d/t/0006-migrate-from-redis: Remove redis migration test.
    - d/NEWS: Add news entry to show valkey-redis-compat has been removed.

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 12 Aug 2025 16:09:05 -0400
