=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,8 @@
 	./utils/gen-test-certs.sh
 	# Avoid race conditions in upstream testsuite
 	# Skip memefficiency tests as activedefrag is unavailable in system jemalloc
-	./runtest --clients 1 --verbose --dump-logs --tls --skipunit unit/memefficiency
+	# Skip maxmemory as it often times out on lp builders
+	./runtest --clients 1 --verbose --dump-logs --tls --skipunit unit/memefficiency --skipunit unit/maxmemory
 	timeout 30m ./runtest-cluster --tls
 	./runtest-sentinel
 	# Clean up after gen-test-certs.sh
