## valkey 9.0.2

=== debian/changelog ===
valkey (9.0.2-0ubuntu1) resolute; urgency=medium

  * New major upstream version 9.0.2 (LP: #2138972)
    - New features:
      + Add extended filtering for client commands.
      + Add multi-database support to cluster mode.
      + Add BYPOLYGON option for GEOSEARCH.
      + Introduce MPTCP support for primary and replica.
      + Add sentinel_total_tilt to sentinel INFO sentinel.
      + Add support for automatic client authentication via TLS certificate
        fields.
      + Add --hotkeys-count option for valkey-cli.
      + Introduce atomic slot migration.
      + Add DELIFEQ command.
      + Add CLUSTER FLUSHSLOT command.
      + Allow dynamic modification of io-threads num.
      + Introduce HASH items expiration.
      + Add SAFE option to SHUTDOWN to reject shutdown in unsafe situations.
      + Add new cluster-announce-client-(port|tls-port) configs.
      + Implement a lolwut for version 9.
    - Updates:
      + Add node pfail and fail count to cluster info metrics.
      + Introduce support for lttng based tracing.
      + Various performance optimizations including SIMD instructions, pipelining,
        hash tables, replication, and network operations.
      + Trigger manual failover on SIGTERM / shutdown to cluster primary.
      + Add cluster bus port out of range error message for CLUSTER MEET
        command.
      + Add cluster-manual-failover-timeout to configure the timeout for manual
        failover.
      + Allow replicas to become primaries without data by using CLUSTER
        REPLICATE NO ONE.
      + Update reply schema for LMOVE and BLMOVE.
      + Make CONFIG RESETSTATS also reset cluster related stats.
      + Make CONFIG GET command return sorted output.
    - Bug fixes:
      + Fix temp file leak during replication error handling.
      + Fix raxRemove crash at memcpy() due to key size exceeds max Rax size.
      + Fix error "SSL routines::bad length" when connTLSWrite is called second
        time with smaller buffer.
      + Fix cmd's out bytes to count deferred reply.
      + Fix engine crash on module client blocking during keyspace events.
      + Fix invalidation messages being sent to closing clients.
      + Fix ACL LOAD crash on replica since the primary client doesn't have a
        user.
      + Fix RANDOMKEY infinite loop during CLIENT PAUSE.
      + Fix panic in primary when blocking shutdown after previous block with
        timeout.
      + Fix cluster slot stats assertion during promotion of replica.
      + Fix incorrect lag reported in XINFO GROUPS.
      + Fix crash during TLS handshake with I/O threads.
      + Fix random element selection in skewed sparse hash table.
      + Fix memory corruption in sharded pubsub unsubscribe.
      + Fix replica failover issues when config epoch is outdated.
      + Fix CLUSTER SLOTS/NODES showing wrong port after updating port/tls-
        port.
      + Fix missing response when AUTH returns an error inside a transaction.
      + Fix memory leak with CLIENT LIST/KILL duplicate filters.
      + Fix replicas claiming to still have slots after manual failover.
      + Fix module context object re-use in scripting engines.
      + Fix defrag not stopping by defragging when slab 1/8 full.
      + Fix module key memory usage accounting.
      + Fix double MOVED reply on unblock at failover.
      + Fix Lua VM crash after FUNCTION FLUSH ASYNC + FUNCTION LOAD.
      + Fix invalid memory address caused by hashtable shrinking during safe
        iteration.
      + Fix Sentinel regression requiring "+failover" ACL in failover path.
      + Fix LTRIM to not call signalModifiedKey when no elements are removed.
      + Fix build on some 32-bit ARM by only using NEON on AArch64.
      + Fix deadlock in IO-thread shutdown during panic.
      + Fix CLUSTER SLOTS crash when called from module timer callback.
      + Respect process umask when creating data files.
      + Enable TCP_NODELAY by default in incoming and outgoing connections.
      + Ignore stale gossip packets that arrive out of order.
      + Remove unicode optimization in Lua cjson library.
      + Save config file and broadcast PONG message on configEpoch change.
      + Improve clarity of errors for GEO commands when member does not exist.
      + Allow mixing quoted and unquoted inline args.
      + Mark the client reprocessing flag only when unblocked on keys.
      + Prevent CLIENT UNBLOCK from unpausing paused clients.
      + Disallow sending REPLY ON / OFF / SKIP inside a multi-exec transaction.
      + Detect SSL_new() returning NULL in outgoing connections.
      + Correctly handle large cluster bus extensions which may have resulted
        in dropped cluster packets.
      + Avoid shard id update of replica if it doesn't match with primary shard
        id.
      + Redact user data when a module crashes for not handling I/O errors
        enabled.
      + Generate a new shard_id when the replica executes CLUSTER RESET SOFT.
      + Reset io_last_written on c->buf resize to prevent stale pointers.
      + Avoid usage of light weight messages to nodes with not ready
        bidirectional links in cluster.
      + Send duplicate multi meet packet only for node which supports it in
        mixed clusters.
  * d/p/0002-Add-CPPFLAGS-to-upstream-makefiles.patch: Refresh for new version.
  * d/p/0004-Add-support-for-USE_SYSTEM_JEMALLOC-flag.patch: Match check for
    USE_SYSTEM_JEMALLOC to that of USE_JEMALLOC.
  * d/copyright: Update for new version and remove excluded files with fixed
    license.
  * d/rules: Skip maxmemory unit test during builds as it often times out.
  * d/rules: Skip sentinel tests on armhf due to lack of memory.

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 23 Jan 2026 17:14:04 -0500
