=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 export BUILD_TLS = yes
 export CFLAGS CPPFLAGS LDFLAGS
@@ -35,7 +37,12 @@
 	# Skip maxmemory as it often times out on lp builders
 	./runtest --clients 1 --verbose --dump-logs --tls --skipunit unit/memefficiency --skipunit unit/maxmemory
 	timeout 30m ./runtest-cluster --tls
+
+	# Skip sentinel tests on armhf due to lack of memory on 32 bit systems
+ifneq ($(ARCH),armhf)
 	./runtest-sentinel
+endif
+
 	# Clean up after gen-test-certs.sh
 	rm -rf tests/tls || true
 	# Other cleanup
